#include "tools.h"
#include "constants.h"

using namespace Constants;
using namespace ToolsSpace;

Tools::Tools(QObject * parent){}

Tools::~Tools(){}

QHash<int,QString> Tools::hashOfConditionDelegateCombo() const
{
    QHash<int,QString> hash;
     hash.insert(CONTAINS,"contient");
     hash.insert(INF,"inf");
     hash.insert(SUP,"sup");
     hash.insert(EQUAL,"egal");
    return hash;
}

QHash<QString,QString> Tools::hashOfTypesOfHeads() const
{
    QHash<QString,QString> hash;
    hash.insert("20030000","Observation");
    hash.insert("20080000","Documents");
    hash.insert("20020100","Ordonnance ajustable");
    hash.insert("20060000","Terrain");
    return hash;
}

QHash<int,QString> Tools::hashIntAndTypesOfHeads() const
{
    QHash<int,QString> hash;
    hash.insert(OBSERVATION,"20030000");
    hash.insert(DOCUMENTS,"20080000");
    hash.insert(ORDONNANCE_AJUSTABLE,"20020100");
    hash.insert(TERRAIN,"20060000");
    return hash;
}

QHash<int,QString> Tools::hashIntAndTypeStringsOfHeads() const
{
    QHash<int,QString> hash;
    hash.insert(OBSERVATION,"Observation");
    hash.insert(DOCUMENTS,"Documents");
    hash.insert(ORDONNANCE_AJUSTABLE,"Ordonnance ajustable");
    hash.insert(TERRAIN,"Terrain");
    return hash;
}

QHash<int,QString> Tools::hashOfConjonctions() const
{
    QHash<int,QString> hash;
    hash.insert(AND,"Et");
    hash.insert(OR,"Ou");
    return hash;
}
